# Update lpr cameras

`PATCH https://api.parklio.com/v2/lpr-cameras/{id}`

This endpoint allows the user to update lpr cameras by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | no | A user assigned name |
| `connected_device_type` | string (`gate`, `chain`, `bollard`, `other`, `standalone`) | no | A enum indicating the type of device connected to the Camera |
| `lpr_position` | string (`in`, `out`, `in/out`) | no | The direction of the passage that the Camera is overlooking |
| `zone_id` | number | no | The zone we wish to assign the camera to |
| `save_image` | boolean | no | Updates whether the camera should save captured images. |

```json
{
  "name": "L0123456789",
  "connected_device_type": "gate",
  "lpr_position": "in",
  "zone_id": 0,
  "save_image": true
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "name": "L123456789",
    "device_id": "L123456789",
    "device_serial": "L123456789",
    "account_id": "1",
    "zone_id": "1",
    "status": "online",
    "lpr_position": "in",
    "connected_device_type": "gate",
    "input_status": "unknown",
    "mac": "be:a0:42:fd:21:b8",
    "save_image": false,
    "deleted_at": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have sufficient account role to perform the desired action. Parklio could upgrade his account role.

```json
{
  "success": false,
  "errors": [
    {
      "code": 11,
      "message": "Not allowed for undefined account role."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

